gnome-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A single-line text entry widget. Gtk.Combo Gtk.Editable GLib.IWrapper Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` Select the text between and . an object of type an object of type
- Method
  System.String `` `` Gets the text between and . an object of type an object of type an object of type
- Method
  System.Void `` `` Delete the text between and . an object of type an object of type
- Method
  System.Void To be added To be added
- Method
  System.Void Delete the text contained in the selection.
- Method
  System.Boolean `` `` Determines the position of the beggining and end of a selection. an object of type an object of type an object of type
- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` `` Adds a history item of the given text to the head of the history list. an object of type an object of type If save is , the history item will be saved in the config file (assuming that is not ). Duplicates are automatically removed from the history list. The history list is automatically saved if needed.
- Method
  System.Void `` To be added an object of type To be added
- Method
  System.Void Clears the history.
- Method
  System.Void `` `` Adds a history item of the given text to the tail of the history list. an object of type an object of type If save is , the history item will be saved in the config file (assuming that is not ). Duplicates are automatically removed from the history list. The history list is automatically saved if needed.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Entry, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new instance.
  an object of type
  an object of type
- Property
  System.Boolean Whether the is editable by the user. an object of type an object of type
- Property
  System.Int32 The position of the cursor in the entry. an object of type an object of type
- Property
  System.UInt32 Internal limit on number of history items saved to the config file. an object of type an object of type Zero is an acceptable value, but the same thing is accomplished by setting the to .
- Property
  Gtk.Entry The internal of the . an object of type
- Property
  System.String The history id of the widget. an object of type an object of type
- Event
  System.EventHandler Emitted when the text is changed.
- Event
  System.EventHandler Emitted when the is activated. This usually occurs when the user presses the "enter" or "return" key.
- Method
  System.Void `` `` To be added an object of type an object of type To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Event
  Gtk.TextDeletedHandler Emitted when text is deleted from the entry.
- Event
  Gtk.TextInsertedHandler Emitted when text is inserted into the entry.